Bug 62174 - compat-glibc should not provide libdb.so.2?
compat-glibc should not provide libdb.so.2?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: compat-glibc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 23:58 EST by Aleksey Nogin
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 19:07:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-03-27 23:58:58 EST
Currently lost of packages need libdb.so.2, but rpm will happily allow one to
remove the db1 package if compat-glibc is installed. We need to make sure either:

- Compat-glibc does not provide libdb.so.2

OR

- Packages that need the "real" db1 (for example, up2date-gnome would not work
without it) s
should require it explicitly (not of them currently do).

OR

- We only have one libdb.so.2 (if that is possible).
Comment 1 Jakub Jelinek 2004-10-04 19:07:59 EDT
compat-glibc in RHEL3 doesn't provide any libraries, Fedora Core [123]
don't contain any compat-glibc.

Note You need to log in before you can comment on or make changes to this bug.